Subject: [bug#59097] v2[PATCH] gnu: emacs-skempo: Remove dependency on emacs-parent-mode.

From: Aleksandr Vityazev <[email-masked]>
Date: Mon, 14 Nov 2022 16:23:49 +0000

Hi,
On 2022-11-07, 20:45 +0100, Christopher Baines <[email-masked]> wrote:

> While writing the changelog in the commit is good (so thanks for that),
> it's still often important to put something in the commit about why the
> change is being made.

fixed in patch v2 (in attachment).

> That includes this case, I'm left wondering why this propagated-input is
> being removed?
>
> Note that I'm not asking for some detailed and airtight argument for
> making the change, I just want to why you think this is good to do, even
> if that's just "it doesn't seem to be needed".

I don't know exactly what to do in this situation, since emacs-skempo no
longer has any packages on which it depends, I thought it logical to
remove the propagated-inputs field. Is there any reason why this should
not be done?

-- 
Best regards, 
Aleksandr Vityazev
>From d0a4ad13cf6a2c55690626fbef4da42dbf0d0614 Mon Sep 17 00:00:00 2001
Message-Id: <d[email-masked]>
From: Aleksandr Vityazev <[email-masked]>
Date: Mon, 7 Nov 2022 10:51:22 +0300
Subject: [PATCH] gnu: emacs-skempo: Remove dependency on emacs-parent-mode.

* gnu/packages/emacs-xyz.scm (emacs-skempo)[propagated-inputs]:
Remove dependency on emacs-parent-mode.

As of a936f8d9fa0d42f17c64da9d2652a5f3e7c6546a commit skempo
drop dependency for parent-mode.
---
 gnu/packages/emacs-xyz.scm | 2 --
 1 file changed, 2 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 4bbebd3cd6..27039609fd 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -4772,8 +4772,6 @@ (define-public emacs-skempo
         (base32
          "0xsr6819qaad0y8rhfrf555c9w7cmgbgkf1a2svgbp7rhhnywl0a"))))
     (build-system emacs-build-system)
-    (propagated-inputs
-     (list emacs-parent-mode))
     (home-page "https://github.com/xFA25E/skempo")
     (synopsis "Enhancements for skeleton/tempo + abbrev")
     (description
-- 
2.38.1